Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 965581 - [abrt] claws-mail-3.9.0-1.fc18: allocator_memalign: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
Summary: [abrt] claws-mail-3.9.0-1.fc18: allocator_memalign: Process /usr/bin/claws-ma...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3632d809e8aea34a04f21af2bb0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-21 11:39 UTC by casper
Modified: 2014-01-20 11:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-20 11:32:03 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-05-21 11:39 UTC, casper
no flags Details
File: cgroup (deleted)
2013-05-21 11:39 UTC, casper
no flags Details
File: core_backtrace (deleted)
2013-05-21 11:39 UTC, casper
no flags Details
File: dso_list (deleted)
2013-05-21 11:39 UTC, casper
no flags Details
File: environ (deleted)
2013-05-21 11:39 UTC, casper
no flags Details
File: limits (deleted)
2013-05-21 11:39 UTC, casper
no flags Details
File: maps (deleted)
2013-05-21 11:39 UTC, casper
no flags Details
File: open_fds (deleted)
2013-05-21 11:39 UTC, casper
no flags Details
File: proc_pid_status (deleted)
2013-05-21 11:39 UTC, casper
no flags Details
File: var_log_messages (deleted)
2013-05-21 11:39 UTC, casper
no flags Details

Description casper 2013-05-21 11:39:02 UTC
Version-Release number of selected component:
claws-mail-3.9.0-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        claws-mail
crash_function: allocator_memalign
executable:     /usr/bin/claws-mail
kernel:         3.8.7-201.fc18.i686.PAE
uid:            1000
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 allocator_memalign at gslice.c:1381
 #5 allocator_add_slab at gslice.c:1252
 #6 slab_allocator_alloc_chunk at gslice.c:1300
 #7 magazine_cache_pop_magazine at gslice.c:724
 #8 thread_memory_magazine1_reload at gslice.c:794
 #9 g_slice_alloc at gslice.c:992
 #10 g_slice_alloc0 at gslice.c:1029
 #11 g_type_create_instance at gtype.c:1870
 #12 g_object_constructor at gobject.c:1854
 #15 gtk_image_new at gtkimage.c:1523

Comment 1 casper 2013-05-21 11:39:07 UTC
Created attachment 751062 [details]
File: backtrace

Comment 2 casper 2013-05-21 11:39:11 UTC
Created attachment 751063 [details]
File: cgroup

Comment 3 casper 2013-05-21 11:39:14 UTC
Created attachment 751064 [details]
File: core_backtrace

Comment 4 casper 2013-05-21 11:39:18 UTC
Created attachment 751065 [details]
File: dso_list

Comment 5 casper 2013-05-21 11:39:21 UTC
Created attachment 751066 [details]
File: environ

Comment 6 casper 2013-05-21 11:39:26 UTC
Created attachment 751067 [details]
File: limits

Comment 7 casper 2013-05-21 11:39:31 UTC
Created attachment 751068 [details]
File: maps

Comment 8 casper 2013-05-21 11:39:34 UTC
Created attachment 751069 [details]
File: open_fds

Comment 9 casper 2013-05-21 11:39:38 UTC
Created attachment 751070 [details]
File: proc_pid_status

Comment 10 casper 2013-05-21 11:39:42 UTC
Created attachment 751071 [details]
File: var_log_messages

Comment 11 Michael Schwendt 2013-05-22 14:24:45 UTC
Is it reproducible? Perhaps you remember what you've been doing when you see the mail's subject mentioned in the backtrace.

Crashes in memory management (and taking down the GTK+ UI) can be due to anything ranging from unstable hardware to memory corruption.

#36 0x080bd3b9 in compose_generic_new (account=0x916b788, account@entry=0x0, mailto=0xbfea4130 "mailto:job@rudevelop.net?subject=PHP-%D1%80%D0%B0%D0%B7%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%87%D0%B8%D0%BA%D0%B8%20%28Yii%29%20-%20%D0%B2%D0%B0%D0%BA%D0%B0%D0%BD%D1%81%D0%B8%D1%8F%20%D1%81%20%D0%A5%D0%B0"..., mailto@entry=0x0, item=item@entry=0x0, attach_files=0x0, listAddress=0x0) at compose.c:1000

Comment 12 Fedora End Of Life 2013-12-21 13:39:14 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Michael Schwendt 2014-01-20 11:32:03 UTC
We really need a bit of background in addition to backtraces, or else our hands are tied. Upstream also would want to know how to reproduce a problem or whether it is only a sporadic crash and a side-effect.


Note You need to log in before you can comment on or make changes to this bug.